Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(58)

Issue 12084101: Merge 141226 (Closed)

Created:
8 years, 1 month ago by jamesr
Modified:
8 years ago
Reviewers:
jamesr
CC:
chromium-reviews
Base URL:
http://svn.webkit.org/repository/webkit/branches/chromium/1364/
Visibility:
Public.

Description

Merge 141226 > Scrollbar and scroll corner composited layers positioned incorrectly > https://bugs.webkit.org/show_bug.cgi?id=108255 > > Patch by James Robinson <jamesr@chromium.org>; on 2013-01-29 > Reviewed by Simon Fraser. > > ScrollView::updateScrollbars() needs to update the overflow controls composited layers if scrollbars are added > or removed. It was doing this by recording on entry to the function if it had horizontal or vertical scrollbars > and then comparing that to m_horizontal/verticalScrollbar on exit. Unfortunately updateScrollbars is recursive > and exits without running the postamble code when nested on the callstack. As a result, scrollbars may be > added or removed several times during the recursion, possibly leaving the overflow control layers in an > inconsistent state, while ending up with the same set of scrollbars. > > This changes the "has anything changed" logic to only compare local state (hasXXXScrollbar vs > newHasXXXScrollbar) so changes in recursive calls are not considered. > > * platform/ScrollView.cpp: > (WebCore::ScrollView::updateScrollbars): TBR=jamesr@chromium.org BUG=170264 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=141507

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -1 line) Patch
M Source/WebCore/platform/ScrollView.cpp View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 2 (0 generated)
jamesr
8 years, 1 month ago (2013-02-01 01:02:55 UTC) #1
teo
8 years ago (2013-03-06 09:56:56 UTC) #2
Message was sent while issue was closed.
On 2013/02/01 01:02:55, jamesr wrote:

I am having the same issue.  Here is a page that has the exact same issue.  For
what it's worth, if you hide anything below the description-box-clear element,
it shows fine.  http://www.johnspassvillage.net/JPMA/26-food-and-drink I am
willing to help out if you need it in changing the code on the website side -
might help your troubleshooting on a third-party website???

Powered by Google App Engine
This is Rietveld 408576698